%global provider github
%global provider_tld com
%global project openSUSE
%global repo umoci
%global provider_prefix %{provider}.%{provider_tld}/%{project}/%{repo}
%global import_path %{provider_prefix}
%global git0 https://%{import_path}
%global commit0 c2fe6307bea299115dccc0f854fc6d4040d516e8
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

%if 0%{?fedora} > 28
%global with_debug 0
%else
%global with_debug 1
%endif

%if 0%{?with_debug}
%global _find_debuginfo_dwz_opts %{nil}
%global _dwz_low_mem_die_limit 0
%else
%global debug_package   %{nil}
%endif

Name:    %{repo}
Version: 0.4.4
Release: 1%{?dist}
Summary: Container image manipulation tool
License: ASL 2.0
URL:     %{git0}
Source0: %{git0}/archive/%{commit0}/%{name}-%{shortcommit0}.tar.gz

BuildRequires: %{?go_compiler:compiler(go-compiler)}%{!?go_compiler:golang}
BuildRequires: git
BuildRequires: make
BuildRequires: go-md2man

%description
umoci modifies Open Container images. See the official website for more
accessible documentation about how to use umoci: https://umo.ci

%prep
%autosetup -Sgit -n %{name}-%{commit0}

%build
go build -tags "" -buildmode=pie -ldflags " -X main.version=%{version}" -o ./%{name} ./cmd/%{name}

%install
install  -D -m 755 %{name} "%{buildroot}/%{_bindir}/%{name}"
make doc
for f in doc/man/*.1; do
    install -D -m 0644 "$f" "%{buildroot}/%{_mandir}/man1/$(basename $f)"
done

%files
%license COPYING
%doc README.md
%{_bindir}/%{name}
%{_mandir}/man1/*

%changelog
* Fri Jul 26 2019 <jogas@lanl.gov> 0.4.4-1
- Initial umoci package
